Skip to main content
Create Order Quote
curl --request POST \
  --url https://synthesis.trade/api/v1/wallet/sol/{wallet_id}/order/quote \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "token_id": "<string>",
  "side": "<string>",
  "amount": "<string>",
  "slippage": 123
}
'
{
  "success": true,
  "response": {
    "amount": "50.000",
    "shares": "80.000",
    "min_shares": "78.400",
    "average_price": "0.625",
    "price_impact": "0.12"
  }
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required

Body

application/json
token_id
string
required
side
string
required

BUY or SELL.

amount
string
required

Order amount as string or number.

slippage
integer

Optional slippage in basis points. If provided, it must be greater than 0; otherwise it uses auto.

Response

200 - application/json

Solana order quote